'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cssModulesFlowTypesPrinter = require('css-modules-flow-types-printer');

var _cssModulesFlowTypesPrinter2 = _interopRequireDefault(_cssModulesFlowTypesPrinter);

var _fileSystemLoader = require('./css-modules/fileSystemLoader');

var _fileSystemLoader2 = _interopRequireDefault(_fileSystemLoader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class Converter {
  constructor(rootDir) {
    this.loader = new _fileSystemLoader2.default(rootDir);
  }

  convert(filePath) {
    return new Promise((resolve, reject) => {
      // TODO: benchmark this (maybe this should only be cleared when watching)
      this.loader.tokensByFile = {};

      this.loader.fetch(filePath, '/', undefined, undefined).then(res => {
        if (res) {
          const content = (0, _cssModulesFlowTypesPrinter2.default)(res);
          resolve(content);
        } else {
          reject(res);
        }
      }).catch(err => reject(err));
    });
  }
}
exports.default = Converter;